Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Native Development

Reply
Contributor
casantos
Posts: 33
Registered: ‎01-13-2013
My Device: BlackBerry Z10, Q10

Re: Blackberry 10.2 NDK issue on Ubuntu/Linux

Adendum: I had to install some Qt libraries too:

 

    # apt-get install libqt4-xml:i386

They are required to run lupdate.

Please use plain text.
Developer
madkristoff
Posts: 58
Registered: ‎11-30-2012
My Device: BlackBerry Z10

Re: Blackberry 10.2 NDK issue on Ubuntu/Linux

Thanks for finding all the dependencies. It would be nice if BlackBerry documented this themselves though.
__________________________________________________________

If my post helped, click the like button!

Developer of Reader|YC , an open source Hackernews client
Please use plain text.
Contributor
graymatter
Posts: 28
Registered: ‎07-29-2010
My Device: Torch 9850

Re: Blackberry 10.2 NDK issue on Ubuntu/Linux

Thanks for sharing the LD_PRELOAD tip!  I now have QML Preview working on Linux Mint Maya 14 x64!

Please use plain text.
Contributor
casantos
Posts: 33
Registered: ‎01-13-2013
My Device: BlackBerry Z10, Q10

Re: Blackberry 10.2 NDK issue on Ubuntu/Linux

I just noticed that there are some instructions in the troubleshooting page about this issue. An error message in 10.2 Gold points there.

 

Unfortunately the instructions given there are not enough to solve the problem because the IDE does not use the executable at $BBNDK/target_*/linux/x86/usr/bin/qmlpreview.

 

In order to solve the problem I had to go to $BBNDK/plugins/com.rim.tad.tools.qml.simulator_10.2.0.v201308081807/lib/linux/x86 and do the following:

 

$ mv qmlpreview_jni qmlpreview_jni.bin
$ cat > qmlpreview_jni
#!/bin/sh
# qmlpreview wrapper file content
DIR=`dirname $(readlink -f $0)`
LD_PRELOAD=/usr/lib/i386-linux-gnu/mesa/libGL.so.1.2.0 $DIR/qmlpreview_jni.bin $*
^D
$ chmod 755 qmlpreview_jni

Of course you still need to install libosmesa6.

 

Please use plain text.
New Contributor
danielsanfr
Posts: 2
Registered: ‎11-14-2013
My Device: Z10

Re: Blackberry 10.2 NDK issue on Ubuntu/Linux

The preview worked perfectly for me with a clean install of NDK 10.2. Try a clean install.

Please use plain text.
Developer
laairoy
Posts: 24
Registered: ‎10-31-2012
My Device: Dev Alpha B

Re: Blackberry 10.2 NDK issue on Ubuntu/Linux

This is true. Also worked for me with a clean install!
__
Helped you? Like me.
Please use plain text.